<?php
ini_set('memory_limit','128M');

require_once('class/define.class.php');
require_once('class/sql.class.php');
require_once('function/word.function.php');
require_once('igo/igo-php-0.1.7/lib/Igo.php');

$text = $_POST['inputText'];
$textArray = explode("\n",$text);	// 改行ごとに区切る
$igo = new Igo('igo/ipadic'); // ipadicのパスをコンストラクタに渡す
$count = 0;

for ( $j=0; $j<count($textArray); $j++ ){
	$result = $igo->parse($textArray[$j]);
	for ( $i=-1; $i<count($result); $i++ ){
		$word = $result[$i]->surface;
		$outputWordArray = WordGroupSearch($word);
		if ( count($outputWordArray) > 0 ){
			// 同じ単語とは異なる単語が候補としてあがっている場合
			// echo "<a class=\"wordGroupAri\">".$word."</a>";
			echo "<word id=\"idWord".$count."\"><font color=\"red\"><b>".$word."</b></font></word>";
		}else{
			echo $word;
		}
		echo "　";
		$count++;
	}
	echo "<br/>";
}
?>